Get Battery Health Measurements
curl --request GET \
--url https://api.tessie.com/{vin}/battery_health \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tessie.com/{vin}/battery_health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tessie.com/{vin}/battery_health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"max_range": 303.35,
"max_ideal_range": 255.12,
"capacity": 96.79
}
}Vehicle Data
Get Battery Health Measurements
Returns the battery health measurements for a vehicle over time.
GET
/
{vin}
/
battery_health
Get Battery Health Measurements
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The associated VIN.
Query Parameters
The start of the timeframe. Unix timestamp in seconds.
The end of the timeframe. Unix timestamp in seconds.
Whether to return data in miles or kilometers.
Available options:
mi, km 
